Subject: [6lo] Ben Campbell's No Objection on draft-ietf-6lo-rfc6775-update-17: (with COMMENT)

From: Ben Campbell <[email-masked]>
Date: Tue, 03 Apr 2018 19:04:33 -0700

Ben Campbell has entered the following ballot position for
draft-ietf-6lo-rfc6775-update-17: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-6lo-rfc6775-update/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

§3, last paragraph: The MUST seems like a statement of fact.

§12.1: There are normative downrefs to RFC 4919, RFC 6606, RFC 7102, RFC 7228
that were not mentioned in the IETF LC announcement, nor are they in the
downref registry.

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 4 Apr 2018 06:23:08 +0000

Hello Ben;

The down reference issues were added as part of the IESG review; the refs were informative before but it was pointed that since they were referenced in the terminology this made them normative. CC’ing Adrian.

Can we live with it?

The MUST in section 3 is also the result of of IESG review; we debated it with Dave and Warren but I guess there is no strong opinion so another proposal would be welcome. CC’ing Dave. Would you suggest an alternate wording?

Cheers,

Pascal

> Le 4 avr. 2018 à 04:04, Ben Campbell <[email-masked]> a écrit :
>

---

From: Ben Campbell <[email-masked]>
Date: Wed, 4 Apr 2018 10:07:10 -0500

> On Apr 4, 2018, at 1:23 AM, Pascal Thubert (pthubert) <[email-masked]> wrote:
> 
> Hello Ben;
> 

Theoretically any normative downrefs should have been mentioned in the IETF last call announcement. Since these were added after LC, it’s up to Suresh to decide whether the LC needs to be repeated. (I don’t necessarily think it does; I’m just pointing out the fact that they exist.)

> The MUST in section 3 is also the result of of IESG review; we debated it with Dave and Warren but I guess there is no strong opinion so another proposal would be welcome. CC’ing Dave. Would you su…

The issue is that the MUST seems to observe the natural state of the world; operators must do this or their networks won’t work. It is not a new imperative created by this draft. I suggest simply changing the MUST to a lower case “must”.

---

From: Suresh Krishnan <[email-masked]>
Date: Thu, 5 Apr 2018 01:24:14 -0400

> On Apr 4, 2018, at 11:07 AM, Ben Campbell <[email-masked]> wrote:
> 
> 
> 

Thanks Ben. I am torn as well. I personally don’t think the terminology related references have to be normative as someone does not need to read the whole referenced (terminology related) document to understand and implement this one. Adrian, your thoughts?

Regards
Suresh